Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.Rules.Builtin

Synopsis

- bindBuiltin :: String -> Expr -> TCM ()
- bindBuiltinNoDef :: String -> QName -> TCM ()
- bindPostulatedName :: String -> Expr -> (QName -> Definition -> TCM Term) -> TCM ()
- isUntypedBuiltin :: String -> Bool
- bindUntypedBuiltin :: String -> Expr -> TCM ()

# Documentation

bindBuiltin :: String -> Expr -> TCM () #

Bind a builtin thing to an expression.

bindBuiltinNoDef :: String -> QName -> TCM () #

Bind a builtin thing to a new name.

bindPostulatedName :: String -> Expr -> (QName -> Definition -> TCM Term) -> TCM () #

`bindPostulatedName builtin e m` checks that `e` is a postulated name `q`, and binds the builtin `builtin` to the term `m q def`, where `def` is the current `Definition` of `q`.

isUntypedBuiltin :: String -> Bool #

bindUntypedBuiltin :: String -> Expr -> TCM () #